# PRegisterPage Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PRegisterPage:

List of all members.

## Public Member Functions

| PRegisterPage (PHTTPServiceProcess &app, const PHTTPAuthority &auth)
PString | LoadText (PHTTPRequest &request)
| Get a block of text data (eg HTML) that the resource contains.
void | OnLoadedText (PHTTPRequest &request, PString &text)
| This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.
virtual PBoolean | Post (PHTTPRequest &request, const PStringToString &data, PHTML &replyMessage)
| Get a block of data (eg HTML) that the resource contains.
virtual void | AddFields (const PString &prefix)=0

## Protected Attributes

PHTTPServiceProcess & | process

## Constructor & Destructor Documentation

PRegisterPage::PRegisterPage | ( | PHTTPServiceProcess & | app,
|  | const PHTTPAuthority & | auth |
| ) |  |  |

## Member Function Documentation

virtual void PRegisterPage::AddFields | ( | const PString & | prefix | ) | `[pure virtual]`

Parameters:

  prefix | Prefix on field names

PString PRegisterPage::LoadText | ( | PHTTPRequest & | request | ) | `[virtual]`

Get a block of text data (eg HTML) that the resource contains.

The default behaviour is to assert, one of `LoadText()` or `LoadData()` functions must be overridden for correct operation.

Returns:
  String for loaded text.

Parameters:

  request | Information on this request.

Reimplemented from PHTTPString.

void PRegisterPage::OnLoadedText | ( | PHTTPRequest & | request,
|  | PString & | text |
| ) |  |  | `[virtual]`

This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.

Typically this is used with HTML responses.

The default action for this function is to do nothing.

Reimplemented from PConfigPage.

virtual PBoolean PRegisterPage::Post | ( | PHTTPRequest & | request,
|  | const PStringToString & | data,
|  | PHTML & | replyMessage |
| ) |  |  | `[virtual]`

Get a block of data (eg HTML) that the resource contains.

The default action for this function is to do nothing and return success.

Returns:
  true if the connection may persist, false if the connection must close

Parameters:

  request | Information on this request.
  data | Variables in the POST data.
  replyMessage | Reply message for post.

Reimplemented from PConfigPage.

## Member Data Documentation

PHTTPServiceProcess& PRegisterPage::process `[protected]`

Reimplemented from PConfigPage.

The documentation for this class was generated from the following file:

- httpsvc.h